# -*- rpm-spec -*-
# $Id: kernel-source-e100,v 1.8 2003/11/03 08:17:00 ed Exp $
#

%define module_name	e100
%define module_version	2.2.21
%define module_release	alt4

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release

Summary: Linux %module_name module sources
License: GPL
Group: Development/Kernel
Url: http://support.intel.com/support/go/linux/e100.htm
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%module_version.tar.gz
Patch0:  e100-O1sched-compile.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep
%__rm -rf %module_name-%module_version-alt
%__tar -zxf %SOURCE0
%__mv %module_name-%module_version %module_name-%module_version-alt
cd %module_name-%module_version-alt
%patch0 -p1
cd ..
%__tar -c %module_name-%module_version-alt | bzip2 -cz > \
    %module_name-%module_version-alt.tar.bz2

%install
%__mkdir_p %kernel_srcdir
%__install -m644 %module_name-%module_version-alt.tar.bz2 %kernel_srcdir

%files
%kernel_src/*

%changelog
* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 2.2.21-alt4
- Change packager to ed@altlinux.ru

* Tue Jun 24 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.2.21-alt3
- fix compilation bug: add e100-O1sched-compile.patch

* Fri Jun 20 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.2.21-alt2
- 'BuildPreReq: kernel-build-tools' added

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.2.21-alt1
- Initial release

